/*===========================================================================*/
/*   (Ieee/char.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/char.scm -indent -o objs/obj_u/Ieee/char.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL long BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzf3zf3zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl__charzd2cizc3zf31575ze2zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__charzc3zf31565z30zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__integerzd2ze3charzd2ur1597ze3zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl__charzd2numericzf31585z21zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t);
BGL_EXPORTED_DECL unsigned char BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzd2upperzd2casezf31589zf3zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00();
BGL_EXPORTED_DECL bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl__charzd2cizd3zf31573zf2zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl__charzd2alphabeticzf31583z21zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 = BUNSPEC;
static obj_t BGl__charze3zf31567z10zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzd2or1603zd2zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzc3zd3zf31569ze3zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__charzd2downcase1601zd2zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl__charzd2ze3integer1593z31zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl__charzd2and1605zd2zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzd2not1607zd2zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzd2whitespacezf31587z21zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl__charze3zd3zf31571zc3zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl__charzd2cizc3zd3zf31579z31zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__charzd2cize3zf31577zc2zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__integerzd2ze3char1595z31zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl__charzd3zf31563z20zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long);
static obj_t BGl__charzd2cize3zd3zf31581z11zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl__charzd2lowerzd2casezf31591zf3zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl__charzd2upcase1599zd2zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_charzd2cizc3zd3zf3zd2envze3zz__r4_characters_6_6z00, BgL_bgl__charza7d2ciza7c3za7d3za7f31579za731za7za7__r4_characters_6_6za7001682z00, BGl__charzd2cizc3zd3zf31579z31zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charze3zd3zf3zd2envz11zz__r4_characters_6_6z00, BgL_bgl__charza7e3za7d3za7f31571za7c3za7za7__r4_characters_6_6za7001683za7, BGl__charze3zd3zf31571zc3zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00, BgL_bgl__charza7d3za7f31563za720za7za7__r4_characters_6_6za7001684z00, BGl__charzd3zf31563z20zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2cize3zd3zf3zd2envzc3zz__r4_characters_6_6z00, BgL_bgl__charza7d2ciza7e3za7d3za7f31581za711za7za7__r4_characters_6_6za7001685z00, BGl__charzd2cize3zd3zf31581z11zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2andzd2envz00zz__r4_characters_6_6z00, BgL_bgl__charza7d2and1605za7d2za7za7__r4_characters_6_6za7001686za7, BGl__charzd2and1605zd2zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2notzd2envz00zz__r4_characters_6_6z00, BgL_bgl__charza7d2not1607za7d2za7za7__r4_characters_6_6za7001687za7, BGl__charzd2not1607zd2zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2cize3zf3zd2envz10zz__r4_characters_6_6z00, BgL_bgl__charza7d2ciza7e3za7f31577za7c2za7za7__r4_characters_6_6za7001688za7, BGl__charzd2cize3zf31577zc2zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3charzd2urzd2envz31zz__r4_characters_6_6z00, BgL_bgl__integerza7d2za7e3charza7d2ur1597za7e3za7za7__r4_characters_6_6za7001689za7, BGl__integerzd2ze3charzd2ur1597ze3zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2downcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl__charza7d2downcase1601za7d2za7za7__r4_characters_6_6za7001690za7, BGl__charzd2downcase1601zd2zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzc3zf3zd2envze2zz__r4_characters_6_6z00, BgL_bgl__charza7c3za7f31565za730za7za7__r4_characters_6_6za7001691z00, BGl__charzc3zf31565z30zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2whitespacezf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl__charza7d2whitespaceza7f31587za721za7za7__r4_characters_6_6za7001692z00, BGl__charzd2whitespacezf31587z21zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2cizc3zf3zd2envz30zz__r4_characters_6_6z00, BgL_bgl__charza7d2ciza7c3za7f31575za7e2za7za7__r4_characters_6_6za7001693za7, BGl__charzd2cizc3zf31575ze2zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2alphabeticzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl__charza7d2alphabeticza7f31583za721za7za7__r4_characters_6_6za7001694z00, BGl__charzd2alphabeticzf31583z21zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2lowerzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl__charza7d2lowerza7d2caseza7f31591za7f3za7za7__r4_characters_6_6za7001695za7, BGl__charzd2lowerzd2casezf31591zf3zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2upcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl__charza7d2upcase1599za7d2za7za7__r4_characters_6_6za7001696za7, BGl__charzd2upcase1599zd2zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2ze3integerzd2envze3zz__r4_characters_6_6z00, BgL_bgl__charza7d2za7e3integer1593za731za7za7__r4_characters_6_6za7001697z00, BGl__charzd2ze3integer1593z31zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2upperzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl__charza7d2upperza7d2caseza7f31589za7f3za7za7__r4_characters_6_6za7001698za7, BGl__charzd2upperzd2casezf31589zf3zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charze3zf3zd2envzc2zz__r4_characters_6_6z00, BgL_bgl__charza7e3za7f31567za710za7za7__r4_characters_6_6za7001699z00, BGl__charze3zf31567z10zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2numericzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl__charza7d2numericza7f31585za721za7za7__r4_characters_6_6za7001700z00, BGl__charzd2numericzf31585z21zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_STRING( BGl_string1672z00zz__r4_characters_6_6z00, BgL_bgl_string1672za700za7za7__r4_characters_6_6za7001701z00, "integer out of range", 20 );
DEFINE_STRING( BGl_string1671z00zz__r4_characters_6_6z00, BgL_bgl_string1671za700za7za7__r4_characters_6_6za7001702z00, "integer->char", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_charzf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl__charza7f3za7f3za7za7__r4_characters_6_6za7001703za7, BGl__charzf3zf3zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_integerzd2ze3charzd2envze3zz__r4_characters_6_6z00, BgL_bgl__integerza7d2za7e3char1595za731za7za7__r4_characters_6_6za7001704z00, BGl__integerzd2ze3char1595z31zz__r4_characters_6_6z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_charzc3zd3zf3zd2envz31zz__r4_characters_6_6z00, BgL_bgl__charza7c3za7d3za7f31569za7e3za7za7__r4_characters_6_6za7001705za7, BGl__charzc3zd3zf31569ze3zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2orzd2envz00zz__r4_characters_6_6z00, BgL_bgl__charza7d2or1603za7d2za7za7__r4_characters_6_6za7001706za7, BGl__charzd2or1603zd2zz__r4_characters_6_6z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_charzd2cizd3zf3zd2envz20zz__r4_characters_6_6z00, BgL_bgl__charza7d2ciza7d3za7f31573za7f2za7za7__r4_characters_6_6za7001707za7, BGl__charzd2cizd3zf31573zf2zz__r4_characters_6_6z00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long BgL_checksumz00_549, char * BgL_fromz00_550)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* char? */
BGL_EXPORTED_DEF bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 129 */
return 
CHARP(BgL_objz00_1);} 
}



/* _char? */
obj_t BGl__charzf3zf3zz__r4_characters_6_6z00(obj_t BgL_envz00_449, obj_t BgL_objz00_450)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 129 */
{ /* ./Ieee/char.scm 130 */
bool_t BgL_auxz00_556;
BgL_auxz00_556 = 
CHARP(BgL_objz00_450); 
return 
BBOOL(BgL_auxz00_556);} } 
}



/* char=? */
BGL_EXPORTED_DEF bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned char BgL_char1z00_2, unsigned char BgL_char2z00_3)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 135 */
return 
(BgL_char1z00_2==BgL_char2z00_3);} 
}



/* _char=?1563 */
obj_t BGl__charzd3zf31563z20zz__r4_characters_6_6z00(obj_t BgL_envz00_451, obj_t BgL_char1z00_452, obj_t BgL_char2z00_453)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 135 */
{ /* ./Ieee/char.scm 136 */
bool_t BgL_auxz00_560;
{ /* ./Ieee/char.scm 136 */
unsigned char BgL_auxz00_563;unsigned char BgL_auxz00_561;
BgL_auxz00_563 = 
(unsigned char)CCHAR(BgL_char2z00_453); 
BgL_auxz00_561 = 
(unsigned char)CCHAR(BgL_char1z00_452); 
BgL_auxz00_560 = 
(BgL_auxz00_561==BgL_auxz00_563); } 
return 
BBOOL(BgL_auxz00_560);} } 
}



/* char<? */
BGL_EXPORTED_DEF bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned char BgL_char1z00_4, unsigned char BgL_char2z00_5)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 141 */
return 
(BgL_char1z00_4<BgL_char2z00_5);} 
}



/* _char<?1565 */
obj_t BGl__charzc3zf31565z30zz__r4_characters_6_6z00(obj_t BgL_envz00_454, obj_t BgL_char1z00_455, obj_t BgL_char2z00_456)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 141 */
{ /* ./Ieee/char.scm 142 */
bool_t BgL_auxz00_568;
{ /* ./Ieee/char.scm 142 */
unsigned char BgL_auxz00_571;unsigned char BgL_auxz00_569;
BgL_auxz00_571 = 
(unsigned char)CCHAR(BgL_char2z00_456); 
BgL_auxz00_569 = 
(unsigned char)CCHAR(BgL_char1z00_455); 
BgL_auxz00_568 = 
(BgL_auxz00_569<BgL_auxz00_571); } 
return 
BBOOL(BgL_auxz00_568);} } 
}



/* char>? */
BGL_EXPORTED_DEF bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned char BgL_char1z00_6, unsigned char BgL_char2z00_7)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 147 */
return 
(BgL_char1z00_6>BgL_char2z00_7);} 
}



/* _char>?1567 */
obj_t BGl__charze3zf31567z10zz__r4_characters_6_6z00(obj_t BgL_envz00_457, obj_t BgL_char1z00_458, obj_t BgL_char2z00_459)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 147 */
{ /* ./Ieee/char.scm 148 */
bool_t BgL_auxz00_576;
{ /* ./Ieee/char.scm 148 */
unsigned char BgL_auxz00_579;unsigned char BgL_auxz00_577;
BgL_auxz00_579 = 
(unsigned char)CCHAR(BgL_char2z00_459); 
BgL_auxz00_577 = 
(unsigned char)CCHAR(BgL_char1z00_458); 
BgL_auxz00_576 = 
(BgL_auxz00_577>BgL_auxz00_579); } 
return 
BBOOL(BgL_auxz00_576);} } 
}



/* char<=? */
BGL_EXPORTED_DEF bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned char BgL_char1z00_8, unsigned char BgL_char2z00_9)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 153 */
return 
(BgL_char1z00_8<=BgL_char2z00_9);} 
}



/* _char<=?1569 */
obj_t BGl__charzc3zd3zf31569ze3zz__r4_characters_6_6z00(obj_t BgL_envz00_460, obj_t BgL_char1z00_461, obj_t BgL_char2z00_462)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 153 */
{ /* ./Ieee/char.scm 154 */
bool_t BgL_auxz00_584;
{ /* ./Ieee/char.scm 154 */
unsigned char BgL_auxz00_587;unsigned char BgL_auxz00_585;
BgL_auxz00_587 = 
(unsigned char)CCHAR(BgL_char2z00_462); 
BgL_auxz00_585 = 
(unsigned char)CCHAR(BgL_char1z00_461); 
BgL_auxz00_584 = 
(BgL_auxz00_585<=BgL_auxz00_587); } 
return 
BBOOL(BgL_auxz00_584);} } 
}



/* char>=? */
BGL_EXPORTED_DEF bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned char BgL_char1z00_10, unsigned char BgL_char2z00_11)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 159 */
return 
(BgL_char1z00_10>=BgL_char2z00_11);} 
}



/* _char>=?1571 */
obj_t BGl__charze3zd3zf31571zc3zz__r4_characters_6_6z00(obj_t BgL_envz00_463, obj_t BgL_char1z00_464, obj_t BgL_char2z00_465)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 159 */
{ /* ./Ieee/char.scm 160 */
bool_t BgL_auxz00_592;
{ /* ./Ieee/char.scm 160 */
unsigned char BgL_auxz00_595;unsigned char BgL_auxz00_593;
BgL_auxz00_595 = 
(unsigned char)CCHAR(BgL_char2z00_465); 
BgL_auxz00_593 = 
(unsigned char)CCHAR(BgL_char1z00_464); 
BgL_auxz00_592 = 
(BgL_auxz00_593>=BgL_auxz00_595); } 
return 
BBOOL(BgL_auxz00_592);} } 
}



/* char-ci=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_12, unsigned char BgL_char2z00_13)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 165 */
{ /* ./Ieee/char.scm 166 */
unsigned char BgL_auxz00_601;unsigned char BgL_auxz00_599;
BgL_auxz00_601 = 
toupper(BgL_char2z00_13); 
BgL_auxz00_599 = 
toupper(BgL_char1z00_12); 
return 
(BgL_auxz00_599==BgL_auxz00_601);} } 
}



/* _char-ci=?1573 */
obj_t BGl__charzd2cizd3zf31573zf2zz__r4_characters_6_6z00(obj_t BgL_envz00_466, obj_t BgL_char1z00_467, obj_t BgL_char2z00_468)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 165 */
{ /* ./Ieee/char.scm 166 */
bool_t BgL_auxz00_604;
{ /* ./Ieee/char.scm 166 */
unsigned char BgL_auxz00_609;unsigned char BgL_auxz00_605;
{ /* ./Ieee/char.scm 166 */
unsigned char BgL_auxz00_610;
BgL_auxz00_610 = 
(unsigned char)CCHAR(BgL_char2z00_468); 
BgL_auxz00_609 = 
toupper(BgL_auxz00_610); } 
{ /* ./Ieee/char.scm 166 */
unsigned char BgL_auxz00_606;
BgL_auxz00_606 = 
(unsigned char)CCHAR(BgL_char1z00_467); 
BgL_auxz00_605 = 
toupper(BgL_auxz00_606); } 
BgL_auxz00_604 = 
(BgL_auxz00_605==BgL_auxz00_609); } 
return 
BBOOL(BgL_auxz00_604);} } 
}



/* char-ci<? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_14, unsigned char BgL_char2z00_15)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 171 */
{ /* ./Ieee/char.scm 172 */
unsigned char BgL_auxz00_617;unsigned char BgL_auxz00_615;
BgL_auxz00_617 = 
toupper(BgL_char2z00_15); 
BgL_auxz00_615 = 
toupper(BgL_char1z00_14); 
return 
(BgL_auxz00_615<BgL_auxz00_617);} } 
}



/* _char-ci<?1575 */
obj_t BGl__charzd2cizc3zf31575ze2zz__r4_characters_6_6z00(obj_t BgL_envz00_469, obj_t BgL_char1z00_470, obj_t BgL_char2z00_471)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 171 */
{ /* ./Ieee/char.scm 172 */
bool_t BgL_auxz00_620;
{ /* ./Ieee/char.scm 172 */
unsigned char BgL_auxz00_625;unsigned char BgL_auxz00_621;
{ /* ./Ieee/char.scm 172 */
unsigned char BgL_auxz00_626;
BgL_auxz00_626 = 
(unsigned char)CCHAR(BgL_char2z00_471); 
BgL_auxz00_625 = 
toupper(BgL_auxz00_626); } 
{ /* ./Ieee/char.scm 172 */
unsigned char BgL_auxz00_622;
BgL_auxz00_622 = 
(unsigned char)CCHAR(BgL_char1z00_470); 
BgL_auxz00_621 = 
toupper(BgL_auxz00_622); } 
BgL_auxz00_620 = 
(BgL_auxz00_621<BgL_auxz00_625); } 
return 
BBOOL(BgL_auxz00_620);} } 
}



/* char-ci>? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_16, unsigned char BgL_char2z00_17)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 177 */
{ /* ./Ieee/char.scm 178 */
unsigned char BgL_auxz00_633;unsigned char BgL_auxz00_631;
BgL_auxz00_633 = 
toupper(BgL_char2z00_17); 
BgL_auxz00_631 = 
toupper(BgL_char1z00_16); 
return 
(BgL_auxz00_631>BgL_auxz00_633);} } 
}



/* _char-ci>?1577 */
obj_t BGl__charzd2cize3zf31577zc2zz__r4_characters_6_6z00(obj_t BgL_envz00_472, obj_t BgL_char1z00_473, obj_t BgL_char2z00_474)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 177 */
{ /* ./Ieee/char.scm 178 */
bool_t BgL_auxz00_636;
{ /* ./Ieee/char.scm 178 */
unsigned char BgL_auxz00_641;unsigned char BgL_auxz00_637;
{ /* ./Ieee/char.scm 178 */
unsigned char BgL_auxz00_642;
BgL_auxz00_642 = 
(unsigned char)CCHAR(BgL_char2z00_474); 
BgL_auxz00_641 = 
toupper(BgL_auxz00_642); } 
{ /* ./Ieee/char.scm 178 */
unsigned char BgL_auxz00_638;
BgL_auxz00_638 = 
(unsigned char)CCHAR(BgL_char1z00_473); 
BgL_auxz00_637 = 
toupper(BgL_auxz00_638); } 
BgL_auxz00_636 = 
(BgL_auxz00_637>BgL_auxz00_641); } 
return 
BBOOL(BgL_auxz00_636);} } 
}



/* char-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char BgL_char1z00_18, unsigned char BgL_char2z00_19)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 183 */
{ /* ./Ieee/char.scm 184 */
unsigned char BgL_auxz00_649;unsigned char BgL_auxz00_647;
BgL_auxz00_649 = 
toupper(BgL_char2z00_19); 
BgL_auxz00_647 = 
toupper(BgL_char1z00_18); 
return 
(BgL_auxz00_647<=BgL_auxz00_649);} } 
}



/* _char-ci<=?1579 */
obj_t BGl__charzd2cizc3zd3zf31579z31zz__r4_characters_6_6z00(obj_t BgL_envz00_475, obj_t BgL_char1z00_476, obj_t BgL_char2z00_477)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 183 */
{ /* ./Ieee/char.scm 184 */
bool_t BgL_auxz00_652;
{ /* ./Ieee/char.scm 184 */
unsigned char BgL_auxz00_657;unsigned char BgL_auxz00_653;
{ /* ./Ieee/char.scm 184 */
unsigned char BgL_auxz00_658;
BgL_auxz00_658 = 
(unsigned char)CCHAR(BgL_char2z00_477); 
BgL_auxz00_657 = 
toupper(BgL_auxz00_658); } 
{ /* ./Ieee/char.scm 184 */
unsigned char BgL_auxz00_654;
BgL_auxz00_654 = 
(unsigned char)CCHAR(BgL_char1z00_476); 
BgL_auxz00_653 = 
toupper(BgL_auxz00_654); } 
BgL_auxz00_652 = 
(BgL_auxz00_653<=BgL_auxz00_657); } 
return 
BBOOL(BgL_auxz00_652);} } 
}



/* char-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char BgL_char1z00_20, unsigned char BgL_char2z00_21)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 189 */
{ /* ./Ieee/char.scm 190 */
unsigned char BgL_auxz00_665;unsigned char BgL_auxz00_663;
BgL_auxz00_665 = 
toupper(BgL_char2z00_21); 
BgL_auxz00_663 = 
toupper(BgL_char1z00_20); 
return 
(BgL_auxz00_663>=BgL_auxz00_665);} } 
}



/* _char-ci>=?1581 */
obj_t BGl__charzd2cize3zd3zf31581z11zz__r4_characters_6_6z00(obj_t BgL_envz00_478, obj_t BgL_char1z00_479, obj_t BgL_char2z00_480)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 189 */
{ /* ./Ieee/char.scm 190 */
bool_t BgL_auxz00_668;
{ /* ./Ieee/char.scm 190 */
unsigned char BgL_auxz00_673;unsigned char BgL_auxz00_669;
{ /* ./Ieee/char.scm 190 */
unsigned char BgL_auxz00_674;
BgL_auxz00_674 = 
(unsigned char)CCHAR(BgL_char2z00_480); 
BgL_auxz00_673 = 
toupper(BgL_auxz00_674); } 
{ /* ./Ieee/char.scm 190 */
unsigned char BgL_auxz00_670;
BgL_auxz00_670 = 
(unsigned char)CCHAR(BgL_char1z00_479); 
BgL_auxz00_669 = 
toupper(BgL_auxz00_670); } 
BgL_auxz00_668 = 
(BgL_auxz00_669>=BgL_auxz00_673); } 
return 
BBOOL(BgL_auxz00_668);} } 
}



/* char-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_22)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 195 */
return 
isalpha(BgL_charz00_22);} 
}



/* _char-alphabetic?1583 */
obj_t BGl__charzd2alphabeticzf31583z21zz__r4_characters_6_6z00(obj_t BgL_envz00_481, obj_t BgL_charz00_482)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 195 */
{ /* ./Ieee/char.scm 196 */
bool_t BgL_auxz00_680;
{ /* ./Ieee/char.scm 196 */
bool_t BgL_res1673z00_531;
{ /* ./Ieee/char.scm 196 */
unsigned char BgL_auxz00_681;
BgL_auxz00_681 = 
(unsigned char)CCHAR(BgL_charz00_482); 
BgL_res1673z00_531 = 
isalpha(BgL_auxz00_681); } 
BgL_auxz00_680 = BgL_res1673z00_531; } 
return 
BBOOL(BgL_auxz00_680);} } 
}



/* char-numeric? */
BGL_EXPORTED_DEF bool_t BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_23)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 206 */
return 
isdigit(BgL_charz00_23);} 
}



/* _char-numeric?1585 */
obj_t BGl__charzd2numericzf31585z21zz__r4_characters_6_6z00(obj_t BgL_envz00_483, obj_t BgL_charz00_484)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 206 */
{ /* ./Ieee/char.scm 207 */
bool_t BgL_auxz00_686;
{ /* ./Ieee/char.scm 207 */
bool_t BgL_res1674z00_533;
{ /* ./Ieee/char.scm 207 */
unsigned char BgL_auxz00_687;
BgL_auxz00_687 = 
(unsigned char)CCHAR(BgL_charz00_484); 
BgL_res1674z00_533 = 
isdigit(BgL_auxz00_687); } 
BgL_auxz00_686 = BgL_res1674z00_533; } 
return 
BBOOL(BgL_auxz00_686);} } 
}



/* char-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_24)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 216 */
return 
isspace(BgL_charz00_24);} 
}



/* _char-whitespace?1587 */
obj_t BGl__charzd2whitespacezf31587z21zz__r4_characters_6_6z00(obj_t BgL_envz00_485, obj_t BgL_charz00_486)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 216 */
{ /* ./Ieee/char.scm 217 */
bool_t BgL_auxz00_692;
{ /* ./Ieee/char.scm 217 */
bool_t BgL_res1675z00_535;
{ /* ./Ieee/char.scm 217 */
unsigned char BgL_auxz00_693;
BgL_auxz00_693 = 
(unsigned char)CCHAR(BgL_charz00_486); 
BgL_res1675z00_535 = 
isspace(BgL_auxz00_693); } 
BgL_auxz00_692 = BgL_res1675z00_535; } 
return 
BBOOL(BgL_auxz00_692);} } 
}



/* char-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char BgL_charz00_25)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 227 */
return 
isupper(BgL_charz00_25);} 
}



/* _char-upper-case?1589 */
obj_t BGl__charzd2upperzd2casezf31589zf3zz__r4_characters_6_6z00(obj_t BgL_envz00_487, obj_t BgL_charz00_488)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 227 */
{ /* ./Ieee/char.scm 228 */
bool_t BgL_auxz00_698;
{ /* ./Ieee/char.scm 228 */
bool_t BgL_res1676z00_537;
{ /* ./Ieee/char.scm 228 */
unsigned char BgL_auxz00_699;
BgL_auxz00_699 = 
(unsigned char)CCHAR(BgL_charz00_488); 
BgL_res1676z00_537 = 
isupper(BgL_auxz00_699); } 
BgL_auxz00_698 = BgL_res1676z00_537; } 
return 
BBOOL(BgL_auxz00_698);} } 
}



/* char-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char BgL_charz00_26)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 237 */
return 
islower(BgL_charz00_26);} 
}



/* _char-lower-case?1591 */
obj_t BGl__charzd2lowerzd2casezf31591zf3zz__r4_characters_6_6z00(obj_t BgL_envz00_489, obj_t BgL_charz00_490)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 237 */
{ /* ./Ieee/char.scm 238 */
bool_t BgL_auxz00_704;
{ /* ./Ieee/char.scm 238 */
bool_t BgL_res1677z00_539;
{ /* ./Ieee/char.scm 238 */
unsigned char BgL_auxz00_705;
BgL_auxz00_705 = 
(unsigned char)CCHAR(BgL_charz00_490); 
BgL_res1677z00_539 = 
islower(BgL_auxz00_705); } 
BgL_auxz00_704 = BgL_res1677z00_539; } 
return 
BBOOL(BgL_auxz00_704);} } 
}



/* char->integer */
BGL_EXPORTED_DEF long BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char BgL_charz00_27)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 247 */
return 
(BgL_charz00_27);} 
}



/* _char->integer1593 */
obj_t BGl__charzd2ze3integer1593z31zz__r4_characters_6_6z00(obj_t BgL_envz00_491, obj_t BgL_charz00_492)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 247 */
{ /* ./Ieee/char.scm 248 */
long BgL_auxz00_710;
{ /* ./Ieee/char.scm 248 */
unsigned char BgL_auxz00_711;
BgL_auxz00_711 = 
(unsigned char)CCHAR(BgL_charz00_492); 
BgL_auxz00_710 = 
(BgL_auxz00_711); } 
return 
BINT(BgL_auxz00_710);} } 
}



/* integer->char */
BGL_EXPORTED_DEF unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long BgL_intz00_28)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 253 */
{ /* ./Ieee/char.scm 254 */
bool_t BgL_test1045z00_290;
if(
(BgL_intz00_28>=((long)0)))
{ /* ./Ieee/char.scm 254 */
BgL_test1045z00_290 = 
(BgL_intz00_28<=((long)255)); }  else 
{ /* ./Ieee/char.scm 254 */
BgL_test1045z00_290 = ((bool_t)0); } 
if(BgL_test1045z00_290)
{ /* ./Ieee/char.scm 254 */
return 
(BgL_intz00_28);}  else 
{ /* ./Ieee/char.scm 256 */
obj_t BgL_objectz00_443;
BgL_objectz00_443 = 
BINT(BgL_intz00_28); 
FAILURE(BGl_string1671z00zz__r4_characters_6_6z00,BGl_string1672z00zz__r4_characters_6_6z00,BgL_objectz00_443);} } } 
}



/* _integer->char1595 */
obj_t BGl__integerzd2ze3char1595z31zz__r4_characters_6_6z00(obj_t BgL_envz00_493, obj_t BgL_intz00_494)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 253 */
{ /* ./Ieee/char.scm 254 */
unsigned char BgL_auxz00_722;
BgL_auxz00_722 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)CINT(BgL_intz00_494)); 
return 
BCHAR(BgL_auxz00_722);} } 
}



/* integer->char-ur */
BGL_EXPORTED_DEF unsigned char BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long BgL_intz00_29)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 261 */
return 
(BgL_intz00_29);} 
}



/* _integer->char-ur1597 */
obj_t BGl__integerzd2ze3charzd2ur1597ze3zz__r4_characters_6_6z00(obj_t BgL_envz00_495, obj_t BgL_intz00_496)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 261 */
{ /* ./Ieee/char.scm 262 */
unsigned char BgL_auxz00_727;
{ /* ./Ieee/char.scm 262 */
long BgL_auxz00_728;
BgL_auxz00_728 = 
(long)CINT(BgL_intz00_496); 
BgL_auxz00_727 = 
(BgL_auxz00_728); } 
return 
BCHAR(BgL_auxz00_727);} } 
}



/* char-upcase */
BGL_EXPORTED_DEF unsigned char BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_30)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 267 */
return 
toupper(BgL_charz00_30);} 
}



/* _char-upcase1599 */
obj_t BGl__charzd2upcase1599zd2zz__r4_characters_6_6z00(obj_t BgL_envz00_497, obj_t BgL_charz00_498)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 267 */
{ /* ./Ieee/char.scm 268 */
unsigned char BgL_auxz00_733;
{ /* ./Ieee/char.scm 268 */
unsigned char BgL_auxz00_734;
BgL_auxz00_734 = 
(unsigned char)CCHAR(BgL_charz00_498); 
BgL_auxz00_733 = 
toupper(BgL_auxz00_734); } 
return 
BCHAR(BgL_auxz00_733);} } 
}



/* char-downcase */
BGL_EXPORTED_DEF unsigned char BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_31)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 273 */
return 
tolower(BgL_charz00_31);} 
}



/* _char-downcase1601 */
obj_t BGl__charzd2downcase1601zd2zz__r4_characters_6_6z00(obj_t BgL_envz00_499, obj_t BgL_charz00_500)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 273 */
{ /* ./Ieee/char.scm 274 */
unsigned char BgL_auxz00_739;
{ /* ./Ieee/char.scm 274 */
unsigned char BgL_auxz00_740;
BgL_auxz00_740 = 
(unsigned char)CCHAR(BgL_charz00_500); 
BgL_auxz00_739 = 
tolower(BgL_auxz00_740); } 
return 
BCHAR(BgL_auxz00_739);} } 
}



/* char-or */
BGL_EXPORTED_DEF unsigned char BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_32, unsigned char BgL_char2z00_33)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 279 */
return 
(BgL_char1z00_32|BgL_char2z00_33);} 
}



/* _char-or1603 */
obj_t BGl__charzd2or1603zd2zz__r4_characters_6_6z00(obj_t BgL_envz00_501, obj_t BgL_char1z00_502, obj_t BgL_char2z00_503)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 279 */
{ /* ./Ieee/char.scm 280 */
unsigned char BgL_auxz00_745;
{ /* ./Ieee/char.scm 280 */
unsigned char BgL_auxz00_748;unsigned char BgL_auxz00_746;
BgL_auxz00_748 = 
(unsigned char)CCHAR(BgL_char2z00_503); 
BgL_auxz00_746 = 
(unsigned char)CCHAR(BgL_char1z00_502); 
BgL_auxz00_745 = 
(BgL_auxz00_746|BgL_auxz00_748); } 
return 
BCHAR(BgL_auxz00_745);} } 
}



/* char-and */
BGL_EXPORTED_DEF unsigned char BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_34, unsigned char BgL_char2z00_35)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 285 */
return 
(BgL_char1z00_34&BgL_char2z00_35);} 
}



/* _char-and1605 */
obj_t BGl__charzd2and1605zd2zz__r4_characters_6_6z00(obj_t BgL_envz00_504, obj_t BgL_char1z00_505, obj_t BgL_char2z00_506)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 285 */
{ /* ./Ieee/char.scm 286 */
unsigned char BgL_auxz00_753;
{ /* ./Ieee/char.scm 286 */
unsigned char BgL_auxz00_756;unsigned char BgL_auxz00_754;
BgL_auxz00_756 = 
(unsigned char)CCHAR(BgL_char2z00_506); 
BgL_auxz00_754 = 
(unsigned char)CCHAR(BgL_char1z00_505); 
BgL_auxz00_753 = 
(BgL_auxz00_754&BgL_auxz00_756); } 
return 
BCHAR(BgL_auxz00_753);} } 
}



/* char-not */
BGL_EXPORTED_DEF unsigned char BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_36)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 291 */
return 
~(BgL_char1z00_36);} 
}



/* _char-not1607 */
obj_t BGl__charzd2not1607zd2zz__r4_characters_6_6z00(obj_t BgL_envz00_507, obj_t BgL_char1z00_508)
{ AN_OBJECT;
{ /* ./Ieee/char.scm 291 */
{ /* ./Ieee/char.scm 292 */
unsigned char BgL_auxz00_761;
{ /* ./Ieee/char.scm 292 */
unsigned char BgL_auxz00_762;
BgL_auxz00_762 = 
(unsigned char)CCHAR(BgL_char1z00_508); 
BgL_auxz00_761 = 
~(BgL_auxz00_762); } 
return 
BCHAR(BgL_auxz00_761);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00()
{ AN_OBJECT;
{ /* ./Ieee/char.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_characters_6_6");} 
}

